/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.adapters.viewholders;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.thingspace.media.R;
import com.thingspace.media.listeners.RecyclerViewClickListener;

/**
 * Recycler view holder for list view.
 */
public class RecyclerViewListHolder extends RecyclerView.ViewHolder implements View.OnClickListener, View.OnLongClickListener {
    public TextView textView;
    public TextView textView2;
    public ImageView imageView;
    public ImageView imageView2;
    private RecyclerViewClickListener recyclerViewClickListener;

    public RecyclerViewListHolder(View view, RecyclerViewClickListener recyclerViewClickListener) {
        super(view);
        this.textView = (TextView) view.findViewById(R.id.text1);

        if (view.findViewById(R.id.text2) != null) {
            this.textView2 = (TextView) view.findViewById(R.id.text2);
        }

        if (view.findViewById(R.id.image) != null) {
            this.imageView = (ImageView) view.findViewById(R.id.image);
        }

        if (view.findViewById(R.id.image2) != null) {
            this.imageView2 = (ImageView) view.findViewById(R.id.image2);
        }

        view.setOnClickListener(this);
        view.setOnLongClickListener(this);
        this.recyclerViewClickListener = recyclerViewClickListener;
    }

    @Override
    public void onClick(View v) {
        recyclerViewClickListener.onListItemClicked(v, this.getLayoutPosition());
    }

    @Override
    public boolean onLongClick(View v) {
        recyclerViewClickListener.onListItemLongClicked(v, this.getLayoutPosition());
        return true;
    }
}
