/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.fragments;

import com.thingspace.cloud.sdk.list.ItemList;
import com.thingspace.media.cache.SortPreference;
import com.thingspace.media.tasks.GetAudiosTask;
import com.thingspace.media.tasks.HubbleMediaTask;

/**
 * MusicTracksGridFragment is called when "Tracks" Tab is selected in Music which displays all the tracks/audio files stored in the cloud.
 * This Fragment calls GetAudiosTask which in turn makes an API call to retrieve all Music Tracks stored under user's cloud storage.
 */
public class MusicTracksGridFragment extends BaseFragment {
    /**
     * GetAudiosTask makes an API call to retrieve all Music Tracks stored under user's cloud storage.
     */
    public void executeQuery() {
        GetAudiosTask task = new GetAudiosTask(getActivity(), this, cloudAPI, SortPreference.getSortType(getActivity()));
        task.execute();
    }

    @Override
    public void onResponse(int taskCode, int errorCode, Object response) {
        if (taskCode == HubbleMediaTask.TASK_GET_AUDIOS) {
            if (response instanceof ItemList) {
                itemList = (ItemList) response;
                recyclerView.setAdapter(getRecyclerViewAdapter(itemList));
            }
        }
    }
}
