/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.tasks.share;

import android.content.Context;

import com.thingspace.cloud.sdk.CloudAPI;
import com.thingspace.media.listeners.ThingspaceResponseListener;
import com.thingspace.media.tasks.HubbleMediaTask;

/**
 * Class to demonstrate Cloud SDK api to retrieve all shares from the cloud.
 */
public class GetSharesTask extends HubbleMediaTask {

    private CloudAPI cloudAPI;

    /**
     * Retrieve all the shares stored in the cloud.
     *
     * @param context                    context object
     * @param thingspaceResponseListener Response listener to receive cloud api response
     * @param cloudAPI                   {@link CloudAPI} object to access Cloud api
     */
    public GetSharesTask(Context context, ThingspaceResponseListener thingspaceResponseListener, CloudAPI cloudAPI) {
        super(context, thingspaceResponseListener);
        this.cloudAPI = cloudAPI;
    }

    protected Object executeAPIRequest(String... params) {
        /**
         * Cloud SDK api call to retrieve all shares from the cloud.
         */
        return cloudAPI.getShares(contextWeakReference.get(), null, null);
    }

    @Override
    protected int getTaskCode() {
        return TASK_GET_SHARES;
    }
}
