/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.views;

import android.graphics.Rect;
import android.support.v7.widget.RecyclerView;
import android.view.View;

/**
 * Space item decorator for recycler grid view.
 */
public class SpaceItemDecorator extends RecyclerView.ItemDecoration {

    private int space;
    private int columnCount = 3;

    public SpaceItemDecorator(int space, int columnCount) {
        this.space = space;
        this.columnCount = columnCount;
    }

    @Override
    public void getItemOffsets(Rect outRect, View view, RecyclerView parent, RecyclerView.State state) {

        int position = parent.getChildAdapterPosition(view) + 1;
        int column = (position - 1) % columnCount;

        outRect.left = space - ((column * space) / columnCount);
        outRect.right = (column + 1) * space / columnCount;
        outRect.bottom = space;
    }
}
