/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.listeners;

import com.thingspace.cloud.sdk.list.ItemList;
import com.thingspace.cloud.sdk.list.item.MetadataItem;

/**
 * File operations response listener.
 */
public interface FileOperationsResponseListener extends OnDeleteResponseListener, OnUploadDownloadResponseListener, OnCopyMoveResponseListener {

    /**
     * Called when Create folder API response in received.
     *
     * @param metadataItem Metadata Item response
     * @param responseCode HTTP Response code
     */
    void onCreateFolderResponseReceived(MetadataItem metadataItem, int responseCode);

    /**
     * Called when Rename file/folder API response in received.
     *
     * @param response     List of file/folder response for rename
     * @param responseCode HTTP Response code
     */
    void onRenameResponseReceived(ItemList response, int responseCode);
}
