/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.listeners;

import com.thingspace.cloud.sdk.list.ItemList;

/**
 * Metadata response listener.
 */
public interface MetadataResponseListener {

    /**
     * Called when Metadata API response in received.
     *
     * @param response     List of file/folder response for cloud folder
     * @param responseCode HTTP Response code
     */
    void onMetadataResponseReceived(ItemList response, int responseCode);

    /**
     * Called when Download file API response in received.
     *
     * @param response     Get file response
     * @param responseCode HTTP Response code
     */
    void onGetFileResponseReceived(String response, int responseCode);
}
