/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.listeners;

import com.thingspace.cloud.sdk.list.ItemList;

/**
 * Called to handle copy/move responses.
 */
public interface OnCopyMoveResponseListener {

    /**
     * Called when Copy file/folder API response in received.
     *
     * @param response     List of file/folder response for copy
     * @param responseCode HTTP Response code
     */
    void onCopyResponseReceived(ItemList response, int responseCode);

    /**
     * Called when Move file/folder API response in received.
     *
     * @param response     List of file/folder response for move
     * @param responseCode HTTP Response code
     */
    void onMoveResponseReceived(ItemList response, int responseCode);
}
